ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-10472) RU: add compatible stacks for upgrade purposes
Date Tue, 14 Apr 2015 21:04:58 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-10472?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14494878#comment-14494878
] 

Hudson commented on AMBARI-10472:
---------------------------------

SUCCESS: Integrated in Ambari-trunk-Commit #2309 (See [https://builds.apache.org/job/Ambari-trunk-Commit/2309/])
AMBARI-10472. RU: add compatible stacks for upgrade purposes (ncole) (ncole: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=43550a78dcffeec00888141995fa8103539dad43)
* ambari-server/src/test/java/org/apache/ambari/server/controller/AmbariManagementControllerTest.java
* ambari-server/src/main/java/org/apache/ambari/server/controller/internal/CompatibleRepositoryVersionResourceProvider.java
* ambari-server/src/main/java/org/apache/ambari/server/controller/internal/OperatingSystemResourceProvider.java
* ambari-server/src/test/java/org/apache/ambari/server/api/query/QueryImplTest.java
* ambari-server/src/main/java/org/apache/ambari/server/api/resources/StackVersionResourceDefinition.java
* ambari-server/src/main/java/org/apache/ambari/server/controller/internal/AbstractControllerResourceProvider.java
* ambari-server/src/main/java/org/apache/ambari/server/state/cluster/ClusterImpl.java
* ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.3.xml
* ambari-server/src/main/java/org/apache/ambari/server/events/listeners/upgrade/DistributeRepositoriesActionListener.java
* ambari-server/src/test/java/org/apache/ambari/server/controller/internal/ClusterControllerImplTest.java
* ambari-server/src/main/java/org/apache/ambari/server/state/stack/UpgradePack.java
* ambari-server/src/main/java/org/apache/ambari/server/controller/spi/Resource.java
* ambari-server/src/test/java/org/apache/ambari/server/api/resources/StackVersionResourceDefinitionTest.java
* ambari-server/src/test/java/org/apache/ambari/server/controller/internal/CompatibleRepositoryVersionResourceProviderTest.java
* ambari-server/src/main/java/org/apache/ambari/server/api/resources/ResourceInstanceFactoryImpl.java
* ambari-server/src/main/java/org/apache/ambari/server/api/services/CompatibleRepositoryVersionService.java
* ambari-server/src/main/java/org/apache/ambari/server/state/Cluster.java
* ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.3.xml
* ambari-server/src/test/resources/stacks/HDP/2.1.1/upgrades/upgrade_to_new_stack.xml
* ambari-server/src/main/java/org/apache/ambari/server/api/services/StacksService.java
* ambari-server/src/main/java/org/apache/ambari/server/orm/entities/RepositoryVersionEntity.java
* ambari-server/src/main/java/org/apache/ambari/server/controller/internal/RepositoryVersionResourceProvider.java


> RU: add compatible stacks for upgrade purposes
> ----------------------------------------------
>
>                 Key: AMBARI-10472
>                 URL: https://issues.apache.org/jira/browse/AMBARI-10472
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>            Reporter: Nate Cole
>            Assignee: Nate Cole
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-10472.patch
>
>
> Changes required to support adding cross-stack versions and installation for a cluster.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message